import { Point } from './Point';
import { Vector } from './Vector';
export class Plane {
  constructor(width, height) {
    this.width = width;
    this.height = height;
    this.width = width;
    this.height = height;
    this.center = new Point(width / 2, height / 2);
    this.area = this.width * this.height;
  }
  /**
   * @param {Point} Point
   *
   * @return Vector;
   */
  getPointVectorFromCenter(Point) {
    return new Vector(Point.x - this.center.x, this.center.y - Point.y);
  }
  /**
   * @param {Point} Point
   */
  _isPointInside(Point) {
    return Point.x < this.width && Point.x > 0 && Point.y > 0 && Point.y < this.height;
  }
  /**
   * @return Point
   */
  get outerEdge() {
    return new Point(this.width, this.height);
  }
}
