import { p as promiseResolve, b as bootstrapLazy } from './index-e41e20bc.js';

/*
 Stencil Client Patch Browser v2.9.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["wr-block-meta_5",[[1,"wr-block-meta",{"items":[1],"innerData":[32]}],[1,"wr-highlight",{"itemTitle":[1,"item-title"],"subTitle":[1,"sub-title"]}],[1,"wr-highlight-grid",null,[[0,"hover","onHover"]]],[0,"wr-logo-icon"],[1,"wr-scroll-animation",{"once":[4],"noTranslate":[4,"no-translate"],"noFade":[4,"no-fade"],"direction":[1],"duration":[2]}]]],["wr-accordion",[[1,"wr-accordion",{"accordionTitle":[1,"accordion-title"],"background":[1025],"open":[32],"closeMe":[64],"openMe":[64],"calculateSizes":[64]}]]],["wr-accordion-group",[[1,"wr-accordion-group",{"isCollapse":[4,"is-collapse"],"closeChildren":[64]},[[0,"accordionOpened","accordionOpened"]]]]],["wr-big-quote",[[1,"wr-big-quote",{"isDark":[4,"is-dark"],"quoteColor":[1,"quote-color"],"authorName":[1,"author-name"],"authorFunction":[1,"author-function"],"authorImage":[1,"author-image"]}]]],["wr-case",[[1,"wr-case",{"caseTitle":[1,"case-title"],"caseSubtitle":[1,"case-subtitle"],"backgroundColor":[1,"background-color"],"backgroundOpacity":[2,"background-opacity"],"backgroundImage":[1,"background-image"],"topLayer":[1025,"top-layer"],"bottomLayer":[1025,"bottom-layer"],"href":[1]}]]],["wr-case-highlight",[[1,"wr-case-highlight",{"background":[1],"backgroundSrcSet":[1,"background-src-set"],"backgroundX":[1,"background-x"],"backgroundY":[1,"background-y"],"caseTitle":[1,"case-title"],"href":[1]}]]],["wr-footer",[[1,"wr-footer"]]],["wr-logo",[[1,"wr-logo"]]],["wr-menu-item",[[1,"wr-menu-item",{"size":[1],"badge":[2],"href":[1],"isLarge":[64]}]]],["wr-navigation",[[1,"wr-navigation",{"isOpen":[32]},[[0,"open","openNavigationListener"],[0,"close","closeNavigationListener"]]]]]], options);
});
