export declare class WrMenuItem {
  /**
   * Menu item size. Either small or large
   */
  size: 'small' | 'large';
  /**
   * The badge number [optional]
   */
  badge?: number;
  /**
   * The permalink for the navigation item.
   */
  href: string;
  protected getClass(): string;
  render(): any;
  protected renderPlayIcon(): any;
  protected renderBadge(): any;
  /**
   * Checks if the menu item is large.
   */
  isLarge(): Promise<boolean>;
  protected _isLarge(): boolean;
}
