import { AnimeInstance } from 'animejs';
export declare class WrScrollAnimation {
  tl: AnimeInstance;
  /**
   * The host element used for the translations and other animations.
   */
  host: HTMLElement;
  /**
   * Should the animation trigger once.
   */
  once: boolean;
  /**
   * Whether the animation should only fade.
   */
  noTranslate: boolean;
  /**
   * Whether the animation should only translate.
   */
  noFade: boolean;
  /**
   * The animation direction.
   */
  direction: 'up' | 'down' | 'left' | 'right';
  /**
   * Animation duration.
   */
  duration: number;
  componentWillLoad(): void;
  render(): any;
  private getTranslateYValue;
  private getTranslateXValue;
  private getOpacityChange;
}
