/**
 * Uppercase the first letter of a string.
 * @param {string} str
 *
 * @return {string}
 */
export declare function ucFirst(str: string): string;
/**
 * Ensures the passed function is only called once per wait.
 *
 * @param fn
 * @param {number} wait
 * @returns {(function(): void)|*}
 */
export declare const throttle: (fn: any, wait: any) => () => void;
/**
 * Enter a number, round it to the nearest 10 [1 -> 0, 5 -> 10]
 *
 * @param {number} n
 */
export declare const round10: (n: number) => number;
/**
 * Round a number to the nearest base
 * @param {number} n
 * @param {number} base
 */
export declare const roundToBase: (n: number, base: number) => number;
