import { Point } from './Point';
import { Vector } from './Vector';
export declare class Plane {
  readonly width: number;
  readonly height: number;
  /**
   * The center of the plane.
   */
  center: Point;
  /**
   * The area of the plane.
   */
  area: number;
  constructor(width: number, height: number);
  /**
   * @param {Point} Point
   *
   * @return Vector;
   */
  getPointVectorFromCenter(Point: any): Vector;
  /**
   * @param {Point} Point
   */
  _isPointInside(Point: any): boolean;
  /**
   * @return Point
   */
  get outerEdge(): Point;
}
